Geo::GoogleEarth::Pluggable::Folder(3pm)

NAME
Geo::GoogleEarth::Pluggable::Folder - Geo::GoogleEarth::Pluggable::Folder object

SYNOPSIS
  use Geo::GoogleEarth::Pluggable;
  my $document=Geo::GoogleEarth::Pluggable->new;
  my $folder=$document->Folder(name=>"My Folder");

DESCRIPTION
Geo::GoogleEarth::Pluggable::Folder is a Geo::GoogleEarth::Pluggable::Base with a few other methods.

USAGE
  my $folder=$document->Folder();  #add folder to $document
  my $subfolder=$folder->Folder(); #add folder to $folder

METHODS

  initialize
We overide the default "initialize" method in order to append the "plugins" method from Module::Pluggable on to the packages list of the Method::Autoload package.

The "packages" property is what is needed by Method::Autoload package. The "plugins" method is what is provided by Module::Pluggable. So, the Folder package now has available to it every method in the "Plugins" folder at runtime.

  Folder
Constructs a new Folder object and appends it to the parent folder object. Returns the object reference if you need to make any setting changes after construction.

  my $folder=$folder->Folder(name=>"My Folder");
  $folder->Folder(name=>"My Folder");

  NetworkLink
Constructs a new NetworkLink object and appends it to the parent folder object. Returns the object reference if you need to make any setting changes after construction.

  $folder->NetworkLink(name=>"My NetworkLink", url=>"./anotherdoc.kml");

  LookAt
Constructs a new LookAt object and returns the object reference to assign to other object "lookat" properties.

  $document->LookAt(
                    latitude  => $lat,    #decimal degrees
                    longitude => $lon,    #decimal degrees
                    range     => $range,  #meters
                    tilt      => $tilt,   #decimal degrees from veritical
                    heading   => $header, #decimal degrees from North
                   );

  type
Returns the object type.

  my $type=$folder->type;

  node

  data
Pushes arguments onto data array and returns an array or reference that holds folder object content. This is a list of objects that supports a type and structure method.

  my $data=$folder->data;
  my @data=$folder->data;
  $folder->data($placemark);

  open

BUGS
Please log on RT and send to the geo-perl email list.

LIMITATIONS
Due to limitations in Perl hashes, it is not possible to specify the order of certain elements and attributes in the XML.

TODO

SUPPORT
Try geo-perl email list.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable, Module::Pluggable Method::Autoload, XML::LibXML::LazyBuilder